Eclipse Platform Release 3.7

## org.eclipse.ui.navigator
Interface ICommonMenuConstants

    public interface ICommonMenuConstants

Defines strings used for menu insertion points.

Since:
  3.2
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `GROUP_ADDITIONS` Pop-up menu: name of group for additional actions (value `"additions"`).
`static String` `GROUP_BUILD` Pop-up menu: name of group for build actions (value `"group.build"`).
`static String` `GROUP_EDIT` Pop-up menu: name of group for properties actions (value `"group.edit"`).
`static String` `GROUP_GENERATE` Pop-up menu: name of group for code generation actions ( value `"group.generate"`).
`static String` `GROUP_GOTO` Pop-up menu: name of group for goto actions (value `"group.goto"`).
`static String` `GROUP_NEW` Pop-up menu: name of group for new actions (value `"group.new"`).
`static String` `GROUP_OPEN` Pop-up menu: name of group for open actions (value `"group.open"`).
`static String` `GROUP_OPEN_WITH` Pop-up menu: name of group for open actions (value `"group.openWith"`).
`static String` `GROUP_PORT` Pop-up menu: name of group for porting actions (value `"group.port"`).
`static String` `GROUP_PROPERTIES` Pop-up menu: name of group for properties actions (value `"group.properties"`).
`static String` `GROUP_REORGANIZE` Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).
`static String` `GROUP_SEARCH` Pop-up menu: name of group for search actions (value `"group.search"`).
`static String` `GROUP_SHOW` Pop-up menu: name of group for show actions (value `"group.show"`).
`static String` `GROUP_SOURCE` Pop-up menu: name of group for source actions.
`static String` `GROUP_TOP` Pop-up menu: name of group for the top of the menu (value `"group.top"`).
`static String` `GROUP_VIEWER_SETUP` Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).

Field Detail

### GROUP_TOP

    static final String GROUP_TOP

  Pop-up menu: name of group for the top of the menu (value `"group.top"`).

  See Also:
    Constant Field Values

### GROUP_GOTO

    static final String GROUP_GOTO

  Pop-up menu: name of group for goto actions (value `"group.goto"`).

  Examples for open actions are:

  - Go Into
  - Go To

  See Also:
    Constant Field Values

### GROUP_SHOW

    static final String GROUP_SHOW

  Pop-up menu: name of group for show actions (value `"group.show"`).

  Examples for show actions are:

  - Show in Navigator
  - Show in Type Hierarchy

  See Also:
    Constant Field Values

### GROUP_NEW

    static final String GROUP_NEW

  Pop-up menu: name of group for new actions (value `"group.new"`).

  Examples for new actions are:

  - Create new class
  - Create new interface

  See Also:
    Constant Field Values

### GROUP_OPEN

    static final String GROUP_OPEN

  Pop-up menu: name of group for open actions (value `"group.open"`).

  Examples for open actions are:

  - Open To
  - Open With

  See Also:
    `GROUP_OPEN_WITH`, Constant Field Values

### GROUP_OPEN_WITH

    static final String GROUP_OPEN_WITH

  Pop-up menu: name of group for open actions (value `"group.openWith"`).

  Examples for open actions are:

  - Open With

  See Also:
    Constant Field Values

### GROUP_PORT

    static final String GROUP_PORT

  Pop-up menu: name of group for porting actions (value `"group.port"`).

  Examples for open actions are:

  - Import
  - Export

  See Also:
    Constant Field Values

### GROUP_EDIT

    static final String GROUP_EDIT

  Pop-up menu: name of group for properties actions (value `"group.edit"`).

  See Also:
    Constant Field Values

### GROUP_BUILD

    static final String GROUP_BUILD

  Pop-up menu: name of group for build actions (value `"group.build"`).

  See Also:
    Constant Field Values

### GROUP_REORGANIZE

    static final String GROUP_REORGANIZE

  Pop-up menu: name of group for reorganize actions (value `"group.reorganize"`).

  See Also:
    Constant Field Values

### GROUP_GENERATE

    static final String GROUP_GENERATE

  Pop-up menu: name of group for code generation actions ( value `"group.generate"`).

  See Also:
    Constant Field Values

### GROUP_SOURCE

    static final String GROUP_SOURCE

  Pop-up menu: name of group for source actions. This is an alias for `GROUP_GENERATE` to be more consistent with main menu bar structure.

  See Also:
    Constant Field Values

### GROUP_SEARCH

    static final String GROUP_SEARCH

  Pop-up menu: name of group for search actions (value `"group.search"`).

  See Also:
    Constant Field Values

### GROUP_ADDITIONS

    static final String GROUP_ADDITIONS

  Pop-up menu: name of group for additional actions (value `"additions"`).

  See Also:
    Constant Field Values

### GROUP_VIEWER_SETUP

    static final String GROUP_VIEWER_SETUP

  Pop-up menu: name of group for viewer setup actions (value `"group.viewerSetup"`).

  See Also:
    Constant Field Values

### GROUP_PROPERTIES

    static final String GROUP_PROPERTIES

  Pop-up menu: name of group for properties actions (value `"group.properties"`).

  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.